<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ArrayOfint' => '\\ArrayType\\ArrayOfint',
            'ArrayOfstring' => '\\ArrayType\\ArrayOfstring',
            'WebSiparisFiltre' => '\\StructType\\WebSiparisFiltre',
            'WebSiparisEntegrasyon' => '\\StructType\\WebSiparisEntegrasyon',
            'WebSiparisSayfalama' => '\\StructType\\WebSiparisSayfalama',
            'ArrayOfWebSiparis' => '\\ArrayType\\ArrayOfWebSiparis',
            'WebSiparis' => '\\StructType\\WebSiparis',
            'FaturaAdres' => '\\StructType\\FaturaAdres',
            'WebUlke' => '\\StructType\\WebUlke',
            'ArrayOfWebSiparisKampanya' => '\\ArrayType\\ArrayOfWebSiparisKampanya',
            'WebSiparisKampanya' => '\\StructType\\WebSiparisKampanya',
            'ArrayOfWebSiparisOdeme' => '\\ArrayType\\ArrayOfWebSiparisOdeme',
            'WebSiparisOdeme' => '\\StructType\\WebSiparisOdeme',
            'TeslimatAdres' => '\\StructType\\TeslimatAdres',
            'ArrayOfWebSiparisUrun' => '\\ArrayType\\ArrayOfWebSiparisUrun',
            'WebSiparisUrun' => '\\StructType\\WebSiparisUrun',
            'ArrayOfWebSiparisUrunEkSecenekOzellik' => '\\ArrayType\\ArrayOfWebSiparisUrunEkSecenekOzellik',
            'WebSiparisUrunEkSecenekOzellik' => '\\StructType\\WebSiparisUrunEkSecenekOzellik',
            'WebSiparisOdemeFiltre' => '\\StructType\\WebSiparisOdemeFiltre',
            'WebSiparisSaveRequest' => '\\StructType\\WebSiparisSaveRequest',
            'WebSiparisSaveOdeme' => '\\StructType\\WebSiparisSaveOdeme',
            'ArrayOfWebSiparisSaveUrun' => '\\ArrayType\\ArrayOfWebSiparisSaveUrun',
            'WebSiparisSaveUrun' => '\\StructType\\WebSiparisSaveUrun',
            'WebSiparisSaveResponse' => '\\StructType\\WebSiparisSaveResponse',
            'WebServisResponse' => '\\StructType\\WebServisResponse',
            'ArrayOfWebSepet' => '\\ArrayType\\ArrayOfWebSepet',
            'WebSepet' => '\\StructType\\WebSepet',
            'ArrayOfWebSepetUrun' => '\\ArrayType\\ArrayOfWebSepetUrun',
            'WebSepetUrun' => '\\StructType\\WebSepetUrun',
            'WebHediyeCekiUygulaRequest' => '\\StructType\\WebHediyeCekiUygulaRequest',
            'WebHediyeCekiUygulaResponse' => '\\StructType\\WebHediyeCekiUygulaResponse',
            'SetSiparisDurumRequest' => '\\StructType\\SetSiparisDurumRequest',
            'SetSiparisDurumResponse' => '\\StructType\\SetSiparisDurumResponse',
            'SetSiparisUrunDurumRequest' => '\\StructType\\SetSiparisUrunDurumRequest',
            'SetSiparisUrunDurumResponse' => '\\StructType\\SetSiparisUrunDurumResponse',
            'ArrayOfSiparisUrunDurumlari' => '\\ArrayType\\ArrayOfSiparisUrunDurumlari',
            'SiparisUrunDurumlari' => '\\StructType\\SiparisUrunDurumlari',
            'WebSiparisKargoPaketFiltre' => '\\StructType\\WebSiparisKargoPaketFiltre',
            'ArrayOfWebKargoPaket' => '\\ArrayType\\ArrayOfWebKargoPaket',
            'WebKargoPaket' => '\\StructType\\WebKargoPaket',
            'ArrayOfSiparisKargoPaketUrun' => '\\ArrayType\\ArrayOfSiparisKargoPaketUrun',
            'SiparisKargoPaketUrun' => '\\StructType\\SiparisKargoPaketUrun',
            'SaveSiparisKargoPaketKargoTakipNoResponse' => '\\StructType\\SaveSiparisKargoPaketKargoTakipNoResponse',
            'GetKargoSecenekRequest' => '\\StructType\\GetKargoSecenekRequest',
            'ServisSepet' => '\\StructType\\ServisSepet',
            'ArrayOfServisSepetUrun' => '\\ArrayType\\ArrayOfServisSepetUrun',
            'ServisSepetUrun' => '\\StructType\\ServisSepetUrun',
            'ArrayOfWebKargoFirma' => '\\ArrayType\\ArrayOfWebKargoFirma',
            'WebKargoFirma' => '\\StructType\\WebKargoFirma',
            'SelectWebSepetRequest' => '\\StructType\\SelectWebSepetRequest',
            'CreateSepetRequest' => '\\StructType\\CreateSepetRequest',
            'WebUpdateSepetRequest' => '\\StructType\\WebUpdateSepetRequest',
            'WebUpdateSepetResponse' => '\\StructType\\WebUpdateSepetResponse',
            'GetSepetRequest' => '\\StructType\\GetSepetRequest',
            'ArrayOfSiparisOdemeTipleri' => '\\ArrayType\\ArrayOfSiparisOdemeTipleri',
            'SiparisOdemeTipleri' => '\\StructType\\SiparisOdemeTipleri',
            'SetSepetKampanyaRequest' => '\\StructType\\SetSepetKampanyaRequest',
            'SetSepetKampanyaResponse' => '\\StructType\\SetSepetKampanyaResponse',
            'ArrayOfBLPaketlemeDurum' => '\\ArrayType\\ArrayOfBLPaketlemeDurum',
            'BLPaketlemeDurum' => '\\StructType\\BLPaketlemeDurum',
            'SelectSiparis' => '\\StructType\\SelectSiparis',
            'SelectSiparisResponse' => '\\StructType\\SelectSiparisResponse',
            'SelectSiparisOdeme' => '\\StructType\\SelectSiparisOdeme',
            'SelectSiparisOdemeResponse' => '\\StructType\\SelectSiparisOdemeResponse',
            'SelectCariOdeme' => '\\StructType\\SelectCariOdeme',
            'SelectCariOdemeResponse' => '\\StructType\\SelectCariOdemeResponse',
            'SelectSiparisUrun' => '\\StructType\\SelectSiparisUrun',
            'SelectSiparisUrunResponse' => '\\StructType\\SelectSiparisUrunResponse',
            'SelectSiparisKampanya' => '\\StructType\\SelectSiparisKampanya',
            'SelectSiparisKampanyaResponse' => '\\StructType\\SelectSiparisKampanyaResponse',
            'SaveSiparis' => '\\StructType\\SaveSiparis',
            'SaveSiparisResponse' => '\\StructType\\SaveSiparisResponse',
            'SetSiparisAktarildi' => '\\StructType\\SetSiparisAktarildi',
            'SetSiparisAktarildiResponse' => '\\StructType\\SetSiparisAktarildiResponse',
            'SetSiparisAktarildiIptal' => '\\StructType\\SetSiparisAktarildiIptal',
            'SetSiparisAktarildiIptalResponse' => '\\StructType\\SetSiparisAktarildiIptalResponse',
            'SetSiparisKargoyaVerildi' => '\\StructType\\SetSiparisKargoyaVerildi',
            'SetSiparisKargoyaVerildiResponse' => '\\StructType\\SetSiparisKargoyaVerildiResponse',
            'SetSiparisTeslimEdildi' => '\\StructType\\SetSiparisTeslimEdildi',
            'SetSiparisTeslimEdildiResponse' => '\\StructType\\SetSiparisTeslimEdildiResponse',
            'SetFaturaNo' => '\\StructType\\SetFaturaNo',
            'SetFaturaNoResponse' => '\\StructType\\SetFaturaNoResponse',
            'SaveKargoTakipNo' => '\\StructType\\SaveKargoTakipNo',
            'SaveKargoTakipNoResponse' => '\\StructType\\SaveKargoTakipNoResponse',
            'SelectSepet' => '\\StructType\\SelectSepet',
            'SelectSepetResponse' => '\\StructType\\SelectSepetResponse',
            'HediyeCekiUygula' => '\\StructType\\HediyeCekiUygula',
            'HediyeCekiUygulaResponse' => '\\StructType\\HediyeCekiUygulaResponse',
            'SetSiparisDurum' => '\\StructType\\SetSiparisDurum',
            'SetSiparisUrunDurum' => '\\StructType\\SetSiparisUrunDurum',
            'SaveSiparisKargoPaket' => '\\StructType\\SaveSiparisKargoPaket',
            'SaveSiparisKargoPaketResponse' => '\\StructType\\SaveSiparisKargoPaketResponse',
            'SelectSiparisUrunDurumlari' => '\\StructType\\SelectSiparisUrunDurumlari',
            'SelectSiparisUrunDurumlariResponse' => '\\StructType\\SelectSiparisUrunDurumlariResponse',
            'SelectSiparisKargoPaket' => '\\StructType\\SelectSiparisKargoPaket',
            'SelectSiparisKargoPaketResponse' => '\\StructType\\SelectSiparisKargoPaketResponse',
            'SaveSiparisKargoPaketKargoTakipNo' => '\\StructType\\SaveSiparisKargoPaketKargoTakipNo',
            'GetKargoSecenek' => '\\StructType\\GetKargoSecenek',
            'GetKargoSecenekResponse' => '\\StructType\\GetKargoSecenekResponse',
            'SelectWebSepet' => '\\StructType\\SelectWebSepet',
            'SelectWebSepetResponse' => '\\StructType\\SelectWebSepetResponse',
            'CreateSepet' => '\\StructType\\CreateSepet',
            'CreateSepetResponse' => '\\StructType\\CreateSepetResponse',
            'UpdateSepet' => '\\StructType\\UpdateSepet',
            'UpdateSepetResponse' => '\\StructType\\UpdateSepetResponse',
            'GetSepet' => '\\StructType\\GetSepet',
            'GetSepetResponse' => '\\StructType\\GetSepetResponse',
            'GetOdemeTipleri' => '\\StructType\\GetOdemeTipleri',
            'GetOdemeTipleriResponse' => '\\StructType\\GetOdemeTipleriResponse',
            'SetSepetKampanya' => '\\StructType\\SetSepetKampanya',
            'GetPaketlemeDurumlari' => '\\StructType\\GetPaketlemeDurumlari',
            'GetPaketlemeDurumlariResponse' => '\\StructType\\GetPaketlemeDurumlariResponse',
            'SetSiparisPaketlemeDurum' => '\\StructType\\SetSiparisPaketlemeDurum',
            'SetSiparisPaketlemeDurumResponse' => '\\StructType\\SetSiparisPaketlemeDurumResponse',
        );
    }
}
