<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetKargoSecenekRequest StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:GetKargoSecenekRequest
 * @subpackage Structs
 */
class GetKargoSecenekRequest extends AbstractStructBase
{
    /**
     * The ParaBirimi
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ParaBirimi;
    /**
     * The SehirId
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $SehirId;
    /**
     * The Sepet
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ServisSepet
     */
    public $Sepet;
    /**
     * Constructor method for GetKargoSecenekRequest
     * @uses GetKargoSecenekRequest::setParaBirimi()
     * @uses GetKargoSecenekRequest::setSehirId()
     * @uses GetKargoSecenekRequest::setSepet()
     * @param string $paraBirimi
     * @param int $sehirId
     * @param \StructType\ServisSepet $sepet
     */
    public function __construct($paraBirimi = null, $sehirId = null, \StructType\ServisSepet $sepet = null)
    {
        $this
            ->setParaBirimi($paraBirimi)
            ->setSehirId($sehirId)
            ->setSepet($sepet);
    }
    /**
     * Get ParaBirimi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getParaBirimi()
    {
        return isset($this->ParaBirimi) ? $this->ParaBirimi : null;
    }
    /**
     * Set ParaBirimi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $paraBirimi
     * @return \StructType\GetKargoSecenekRequest
     */
    public function setParaBirimi($paraBirimi = null)
    {
        // validation for constraint: string
        if (!is_null($paraBirimi) && !is_string($paraBirimi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($paraBirimi, true), gettype($paraBirimi)), __LINE__);
        }
        if (is_null($paraBirimi) || (is_array($paraBirimi) && empty($paraBirimi))) {
            unset($this->ParaBirimi);
        } else {
            $this->ParaBirimi = $paraBirimi;
        }
        return $this;
    }
    /**
     * Get SehirId value
     * @return int|null
     */
    public function getSehirId()
    {
        return $this->SehirId;
    }
    /**
     * Set SehirId value
     * @param int $sehirId
     * @return \StructType\GetKargoSecenekRequest
     */
    public function setSehirId($sehirId = null)
    {
        // validation for constraint: int
        if (!is_null($sehirId) && !(is_int($sehirId) || ctype_digit($sehirId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($sehirId, true), gettype($sehirId)), __LINE__);
        }
        $this->SehirId = $sehirId;
        return $this;
    }
    /**
     * Get Sepet value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ServisSepet|null
     */
    public function getSepet()
    {
        return isset($this->Sepet) ? $this->Sepet : null;
    }
    /**
     * Set Sepet value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\ServisSepet $sepet
     * @return \StructType\GetKargoSecenekRequest
     */
    public function setSepet(\StructType\ServisSepet $sepet = null)
    {
        if (is_null($sepet) || (is_array($sepet) && empty($sepet))) {
            unset($this->Sepet);
        } else {
            $this->Sepet = $sepet;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GetKargoSecenekRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
