<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SelectSiparis StructType
 * @subpackage Structs
 */
class SelectSiparis extends AbstractStructBase
{
    /**
     * The UyeKodu
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UyeKodu;
    /**
     * The f
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\WebSiparisFiltre
     */
    public $f;
    /**
     * The s
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\WebSiparisSayfalama
     */
    public $s;
    /**
     * Constructor method for SelectSiparis
     * @uses SelectSiparis::setUyeKodu()
     * @uses SelectSiparis::setF()
     * @uses SelectSiparis::setS()
     * @param string $uyeKodu
     * @param \StructType\WebSiparisFiltre $f
     * @param \StructType\WebSiparisSayfalama $s
     */
    public function __construct($uyeKodu = null, \StructType\WebSiparisFiltre $f = null, \StructType\WebSiparisSayfalama $s = null)
    {
        $this
            ->setUyeKodu($uyeKodu)
            ->setF($f)
            ->setS($s);
    }
    /**
     * Get UyeKodu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUyeKodu()
    {
        return isset($this->UyeKodu) ? $this->UyeKodu : null;
    }
    /**
     * Set UyeKodu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $uyeKodu
     * @return \StructType\SelectSiparis
     */
    public function setUyeKodu($uyeKodu = null)
    {
        // validation for constraint: string
        if (!is_null($uyeKodu) && !is_string($uyeKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uyeKodu, true), gettype($uyeKodu)), __LINE__);
        }
        if (is_null($uyeKodu) || (is_array($uyeKodu) && empty($uyeKodu))) {
            unset($this->UyeKodu);
        } else {
            $this->UyeKodu = $uyeKodu;
        }
        return $this;
    }
    /**
     * Get f value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\WebSiparisFiltre|null
     */
    public function getF()
    {
        return isset($this->f) ? $this->f : null;
    }
    /**
     * Set f value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\WebSiparisFiltre $f
     * @return \StructType\SelectSiparis
     */
    public function setF(\StructType\WebSiparisFiltre $f = null)
    {
        if (is_null($f) || (is_array($f) && empty($f))) {
            unset($this->f);
        } else {
            $this->f = $f;
        }
        return $this;
    }
    /**
     * Get s value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\WebSiparisSayfalama|null
     */
    public function getS()
    {
        return isset($this->s) ? $this->s : null;
    }
    /**
     * Set s value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\WebSiparisSayfalama $s
     * @return \StructType\SelectSiparis
     */
    public function setS(\StructType\WebSiparisSayfalama $s = null)
    {
        if (is_null($s) || (is_array($s) && empty($s))) {
            unset($this->s);
        } else {
            $this->s = $s;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SelectSiparis
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
